### Class

# GcrUi SecureEntryBuffer

#### Description [src]

    class GcrUi.SecureEntryBuffer : Gtk.EntryBuffer {
      parent: GtkEntryBuffer
    }

A `GtkEntryBuffer` that uses non-pageable memory.

It’s good practice to try to keep passwords or sensitive secrets out of pageable memory whenever possible, so that they don’t get written to disk.

A `GcrSecureEntryBuffer` is a `GtkEntryBuffer` to be used with `GtkEntry` which uses non-pageable memory to store a password placed in the entry. In order to make any sense at all, the entry must have it’s visibility turned off, and just be displaying place holder characters for the text. That is, a password style entry.

Use `gtk_entry_new_with_buffer()` or `gtk_entry_set_buffer()` to set this buffer on an entry.

#### Hierarchy

#### Ancestors

- GtkEntryBuffer
- GObject

#### Constructors

###### gcr_secure_entry_buffer_new

Create a new secure entry buffer.

#### Instance methods

##### Methods inherited from GtkEntryBuffer (10)

###### gtk_entry_buffer_delete_text

Deletes a sequence of characters from the buffer. `n_chars` characters are deleted starting at `position`. If `n_chars` is negative, then all characters until the end of the text are deleted.

since: 2.18

###### gtk_entry_buffer_emit_deleted_text

Used when subclassing `GtkEntryBuffer`.

since: 2.18

###### gtk_entry_buffer_emit_inserted_text

Used when subclassing `GtkEntryBuffer`.

since: 2.18

###### gtk_entry_buffer_get_bytes

Retrieves the length in bytes of the buffer. See gtk_entry_buffer_get_length().

since: 2.18

###### gtk_entry_buffer_get_length

Retrieves the length in characters of the buffer.

since: 2.18

###### gtk_entry_buffer_get_max_length

Retrieves the maximum allowed length of the text in `buffer`. See gtk_entry_buffer_set_max_length().

since: 2.18

###### gtk_entry_buffer_get_text

Retrieves the contents of the buffer.

since: 2.18

###### gtk_entry_buffer_insert_text

Inserts `n_chars` characters of `chars` into the contents of the buffer, at position `position`.

since: 2.18

###### gtk_entry_buffer_set_max_length

Sets the maximum allowed length of the contents of the buffer. If the current contents are longer than the given length, then they will be truncated to fit.

since: 2.18

###### gtk_entry_buffer_set_text

Sets the text in the buffer.

since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GtkEntryBuffer (3)

###### Gtk.EntryBuffer:length

The length (in characters) of the text in buffer.

since: 2.18

###### Gtk.EntryBuffer:max-length

The maximum length (in characters) of the text in the buffer.

since: 2.18

###### Gtk.EntryBuffer:text

The contents of the buffer.

since: 2.18

#### Signals

##### Signals inherited from GtkEntryBuffer (2)

###### GtkEntryBuffer::deleted-text

This signal is emitted after text is deleted from the buffer.

since: 2.18

###### GtkEntryBuffer::inserted-text

This signal is emitted after text is inserted into the buffer.

since: 2.18

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrUiSecureEntryBufferClass {
      GtkEntryBufferClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkEntryBufferClass`
  No description available.